# 服务平台
版本 |  创建时间   | 作者 |  备注信息
---|---|---|---
v1.0|2022-01-20|zxfei| 接口文档

## 数据类型
类型名称|类型描述|参考样例
---|---|---
String |字符串|A、a、ab
Integer|数字类型|1、12、-1
Long|长整型数字|1、12、-1
date|时间类型,单位纳秒数字|167988745573
BigDecimal|小数类型|545.256
object|对象类型|{"name":"zhang3"}
arrays|数组类型|[{"name":"zhang3"},{"name":"zhang2"}]




## 学习项目

### 查询学习项目列表

**请求URL:** study/project/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询学习项目

**请求HEAD** 请求头信息需带登录鉴权token信息
Authorization: authToken

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录
title|String|否|标题,字段前后添加%%模糊查询
projectType|Integer|否|项目类型(0.法律法规,1.业务知识,2.行业知识,3.通用知识)
createUserId|Long|否|创建用户

**请求样例:**
```
  {
        "title":"s8f454",
        "projectType":3203,
        "createUserId":2252,
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|主键ID，主键，自增长
&emsp;&emsp;title|String|标题
&emsp;&emsp;projectType|Integer|项目类型(0.法律法规,1.业务知识,2.行业知识,3.通用知识)
&emsp;&emsp;projectStartTime|Date|开始时间
&emsp;&emsp;projectEndTime|Date|结束时间
&emsp;&emsp;top|Integer|是否置顶(0.否，1.是)
&emsp;&emsp;readRequest|Integer|已读要求(0. 学员进入学习项目详情即标记为已读)
&emsp;&emsp;studyContent|String|学习内容
&emsp;&emsp;filePath|String|文件路径
&emsp;&emsp;fileName|String|文件名称
&emsp;&emsp;remark|String|备注

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看学习项目

**请求URL:** study/project/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看学习项目，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/project/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|主键ID，主键，自增长
&emsp;title|String|标题
&emsp;projectType|Integer|项目类型(0.法律法规,1.业务知识,2.行业知识,3.通用知识)
&emsp;projectStartTime|Date|开始时间
&emsp;projectEndTime|Date|结束时间
&emsp;top|Integer|是否置顶(0.否，1.是)
&emsp;readRequest|Integer|已读要求(0. 学员进入学习项目详情即标记为已读)
&emsp;studyContent|String|学习内容
&emsp;filePath|String|文件路径
&emsp;fileName|String|文件名称
&emsp;remark|String|备注


**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":2940,
            "title":"wq2vgg",
            "projectType":5109,
            "projectStartTime":"2023-05-27",
            "projectEndTime":"2023-05-27",
            "top":8438,
            "readRequest":1701,
            "studyContent":"78nqxc",
            "filePath":"8tu27l",
            "fileName":"liwkxl",
            "remark":"gdu6s8",
            "createUserId":4572,
            "createTime":"2023-05-27",
            "updateUserId":5207,
            "updateTime":"2023-05-27"
        }
}
```


## 学习公告

### 查询学习公告列表

**请求URL:** study/notice/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询学习公告

**请求HEAD** 请求头信息需带登录鉴权token信息
Authorization: authToken

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录
title|String|否|标题,字段前后添加%%模糊查询
createUserId|Long|否|创建用户

**请求样例:**
```
  {
        "title":"%学习%",
        "createUserId":1,
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|主键ID，主键，自增长
&emsp;&emsp;title|String|标题
&emsp;&emsp;noticeType|Integer|公告类型(0.通知,1.公告)
&emsp;&emsp;pubDeptId|Long|发布部门id
&emsp;&emsp;pubDeptName|String|发布部门名称
&emsp;&emsp;viewPersion|Integer|查看人员(0.全部学员，1.部分学员)
&emsp;&emsp;top|Integer|是否置顶(0.否，1.是)
&emsp;&emsp;readRequest|Integer|已读要求(0. 学员进入公告详情即标记为已读)
&emsp;&emsp;noticeContent|String|公告内容
&emsp;&emsp;filePath|String|公告文件路径
&emsp;&emsp;fileName|String|公告文件名称
&emsp;&emsp;remark|String|备注


**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看学习公告

**请求URL:** study/notice/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看学习公告，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/notice/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|主键ID，主键，自增长
&emsp;title|String|标题
&emsp;noticeType|Integer|公告类型(0.通知,1.公告)
&emsp;pubDeptId|Long|发布部门id
&emsp;pubDeptName|String|发布部门名称
&emsp;viewPersion|Integer|查看人员(0.全部学员，1.部分学员)
&emsp;top|Integer|是否置顶(0.否，1.是)
&emsp;readRequest|Integer|已读要求(0. 学员进入公告详情即标记为已读)
&emsp;noticeContent|String|公告内容
&emsp;filePath|String|公告文件路径
&emsp;fileName|String|公告文件名称
&emsp;remark|String|备注
**响应消息样例:**
```
{
    "code": 1,
    "data": {
        }
}
```


## 公告学习人员

### 查询公告学习人员列表

**请求URL:** study/notice/study/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询公告学习人员

**请求HEAD** 请求头信息需带登录鉴权token信息
Authorization: authToken

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录
noticeStatus|Integer|否|状态(0.未读,1.已读)
createUserId|Long|否|创建用户

**请求样例:**
```
  {
        "noticeStatus":1479,
        "createUserId":5709,
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|主键ID，主键，自增长
&emsp;&emsp;noticeId|Long|公告id
&emsp;&emsp;noticetType|Integer|公告类型(0.通知,1.公告,2.行业知识,3.通用知识)
&emsp;&emsp;title|String|公告标题
&emsp;&emsp;userId|Long|用户id
&emsp;&emsp;userName|String|用户名称
&emsp;&emsp;deptName|String|所属部门
&emsp;&emsp;noticeStatus|Integer|状态(0.未读,1.已读)
&emsp;&emsp;top|Integer|是否置顶(0.否，1.是)
&emsp;&emsp;viewTime|Date|查看时间
&emsp;&emsp;remark|String|备注

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看公告学习人员

**请求URL:** study/notice/study/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看公告学习人员，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/notice/study/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|主键ID，主键，自增长
&emsp;noticeId|Long|公告id
&emsp;noticetType|Integer|公告类型(0.通知,1.公告,2.行业知识,3.通用知识)
&emsp;title|String|公告标题
&emsp;userId|Long|用户id
&emsp;userName|String|用户名称
&emsp;deptName|String|所属部门
&emsp;noticeStatus|Integer|状态(0.未读,1.已读)
&emsp;top|Integer|是否置顶(0.否，1.是)
&emsp;viewTime|Date|查看时间
&emsp;remark|String|备注

**响应消息样例:**
```
{
    "code": 1,
    "data": {
        }
}
```



## 字典附录
### projectType
字典参数key|字典参数值|其它
:---|:---|:---
0|法律法规|-
1|业务知识|-
2|行业知识|-
3|通用知识|-
### top
字典参数key|字典参数值|其它
:---|:---|:---
0|否|-
1|是|-
### readRequest
字典参数key|字典参数值|其它
:---|:---|:---
0|学员进入学习项目详情即标记为已读|-
### projectType
字典参数key|字典参数值|其它
:---|:---|:---
0|法律法规|-
1|业务知识|-
2|行业知识|-
3|通用知识|-
### studyStatus
字典参数key|字典参数值|其它
:---|:---|:---
0|未学习|-
1|已学习|-
### top
字典参数key|字典参数值|其它
:---|:---|:---
0|否|-
1|是|-
### noticeType
字典参数key|字典参数值|其它
:---|:---|:---
0|通知|-
1|公告|-
### viewPersion
字典参数key|字典参数值|其它
:---|:---|:---
0|全部学员|-
1|部分学员|-
### top
字典参数key|字典参数值|其它
:---|:---|:---
0|否|-
1|是|-
### readRequest
字典参数key|字典参数值|其它
:---|:---|:---
0|学员进入公告详情即标记为已读|-
### noticetType
字典参数key|字典参数值|其它
:---|:---|:---
0|通知|-
1|公告|-
2|行业知识|-
3|通用知识|-
### noticeStatus
字典参数key|字典参数值|其它
:---|:---|:---
0|未读|-
1|已读|-
### top
字典参数key|字典参数值|其它
:---|:---|:---
0|否|-
1|是|-
### deptStatus
字典参数key|字典参数值|其它
:---|:---|:---
0|停用|-
1|启用|-
### userType
字典参数key|字典参数值|其它
:---|:---|:---
0|系统用户|-
1|后台管理|-
2|工作人员|-
### status
字典参数key|字典参数值|其它
:---|:---|:---
0|停用|-
1|正常|-
2|冻结|-
3|销户|-
4|离职|-
